## com.sun.jersey.api.spring
Annotation Type Autowire

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface Autowire

This annotation provides autowiring capabilities for users that use spring 2.0 but that want to get their beans autowired.

Autowiring is performed via `AutowireCapableBeanFactory.createBean(Class, int, boolean)` to have a fully initialized bean, including applied BeanPostProcessors (in contrast to `AutowireCapableBeanFactory.autowire(java.lang.Class, int, boolean)`).
The parameters autowiring mode and dependencyCheck when invoking `AutowireCapableBeanFactory.createBean(Class, int, boolean)` are used as specified with this annotation.

Author:
  Martin Grotzke

Optional Element Summary
`boolean` | `dependencyCheck` Whether to perform a dependency check for objects (not applicable to autowiring a constructor, thus ignored there).
`AutowireMode` | `mode` The autowiring mode to use.

### mode

    public abstract AutowireMode mode

  The autowiring mode to use.

  Returns:
    One of `AutowireMode`, `AutowireMode.AUTODETECT` by default.
  Default:
    com.sun.jersey.api.spring.AutowireMode.AUTODETECT

### dependencyCheck

    public abstract boolean dependencyCheck

  Whether to perform a dependency check for objects (not applicable to autowiring a constructor, thus ignored there).

  Returns:
    true or false, false by default.
  Default:
    false

Copyright © 2017 Oracle Corporation. All Rights Reserved.